Index: tests/regression/Atoms/Saturate/post/carbon.xyz
===================================================================
--- tests/regression/Atoms/Saturate/post/carbon.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/post/carbon.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Wed Jan 28 20:57:11 2015, time step 0
+C	10	10	10
Index: tests/regression/Atoms/Saturate/post/nitrogen.xyz
===================================================================
--- tests/regression/Atoms/Saturate/post/nitrogen.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/post/nitrogen.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Wed Jan 28 21:41:39 2015, time step 0
+N	10	10	10
Index: tests/regression/Atoms/Saturate/post/saturated_carbon.xyz
===================================================================
--- tests/regression/Atoms/Saturate/post/saturated_carbon.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/post/saturated_carbon.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Wed Jan 28 20:57:11 2015, time step 0
+C	10	10	10
+H	11.076	10	10
+H	9.64133	11.0145	10
+H	9.64133	9.49277	10.8786
+H	9.64133	9.49277	9.12145
Index: tests/regression/Atoms/Saturate/post/saturated_nitrogen.xyz
===================================================================
--- tests/regression/Atoms/Saturate/post/saturated_nitrogen.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/post/saturated_nitrogen.xyz	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,6 @@
+4
+	Created by molecuilder on Wed Jan 28 21:41:39 2015, time step 0
+N	10	10	10
+H	11.02	10	10
+H	9.49	10.866	10
+H	9.49	9.13397	10
Index: tests/regression/Atoms/Saturate/testsuite-atoms-saturate_carbon.at
===================================================================
--- tests/regression/Atoms/Saturate/testsuite-atoms-saturate_carbon.at	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/testsuite-atoms-saturate_carbon.at	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,45 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### add atom
+
+AT_SETUP([Atoms - saturating carbon])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_carbon.xyz
+AT_CHECK([../../molecuilder -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating carbon with Undo])
+AT_KEYWORDS([atoms saturate-atoms undo])
+
+file=carbon.xyz
+AT_CHECK([../../molecuilder -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating carbon with Redo])
+AT_KEYWORDS([atoms saturate-atoms redo])
+
+file=saturated_carbon.xyz
+AT_CHECK([../../molecuilder -a 6 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --redo --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at
===================================================================
--- tests/regression/Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
+++ tests/regression/Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at	(revision 2fcef36f8dcba275ab6b2280c2ac65fea1f5322a)
@@ -0,0 +1,45 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### add atom
+
+AT_SETUP([Atoms - saturating nitrogen])
+AT_KEYWORDS([atoms saturate-atoms])
+
+file=saturated_nitrogen.xyz
+AT_CHECK([../../molecuilder -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating nitrogen with Undo])
+AT_KEYWORDS([atoms saturate-atoms undo])
+
+file=nitrogen.xyz
+AT_CHECK([../../molecuilder -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Atoms - saturating nitrogen with Redo])
+AT_KEYWORDS([atoms saturate-atoms redo])
+
+file=saturated_nitrogen.xyz
+AT_CHECK([../../molecuilder -a 7 --domain-position "10., 10., 10." --select-all-atoms --saturate-atoms --undo --redo --output-as $file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/Saturate/post/], 0, [ignore], [ignore])
+
+AT_CLEANUP
